Categories:
  - Multimedia
License: GPL-3.0-only
AuthorName: Kanedias
AuthorEmail: kanedias@keemail.me
SourceCode: https://github.com/vanilla-music/vanilla-music-cover-fetch
IssueTracker: https://github.com/vanilla-music/vanilla-music-cover-fetch/issues
Donate: https://www.patreon.com/kanedias
LiberapayID: '27922'

AutoName: Vanilla Cover Fetch
Summary: Vanilla Music player Cover Fetch plugin
Description: |-
    This app is a plugin. Prior to use it you should have
    [[ch.blinkenlights.android.vanilla]] installed. Once both player and this plugin
    are installed, request a context menu from library screen, select "Plugins" and
    "Cover fetch" afterwards. Note that this plugin requires internet connection to
    be useful.

    '''Features:'''

    * Requests artwork by artist and album from musicbrainz
    * Can interact with Tag Editor plugin:
    * Can read artwork from file tags and show them without internet connection.
    * Can write artwork retrieved from wiki to file tags

RepoType: git
Repo: https://github.com/vanilla-music/vanilla-music-cover-fetch

Builds:
  - versionName: 1.0.0
    versionCode: 1
    commit: 1.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.1
    versionCode: 2
    commit: 1.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.2
    versionCode: 3
    commit: 1.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 4
    commit: 1.1.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.1.1
    versionCode: 5
    commit: 1.1.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 6
    commit: 1.2.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 7
    commit: 1.3.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.0
    versionCode: 8
    commit: 1.4.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 9
    commit: 1.4.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.2
    versionCode: 10
    commit: 1.4.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.3
    versionCode: 11
    commit: 1.4.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.4
    versionCode: 12
    commit: 1.4.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.5
    versionCode: 13
    commit: 1.4.5
    subdir: app
    gradle:
      - yes

MaintainerNotes: |-
    - This app doesn't have default activity, this is normal
    - This app requires [[ch.blinkenlights.android.vanilla]]

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
UpdateCheckIgnore: beta
CurrentVersion: 1.4.5
CurrentVersionCode: 13
